Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
tool_id = "0a425650-60ac-4fd4-9554-5579844ce3e5"
response = client.tools.get(tool_id)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/tool/0a425650-60ac-4fd4-9554-5579844ce3e5 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY'{
"_id": "69f98c2185578cdac8d33014",
"tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e7",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"type": "apiRequest",
"createdAt": "2026-05-05T06:20:17.548000",
"updatedAt": "2026-05-05T06:20:17.548000",
"method": "GET",
"url": "https://www.google.com",
"name": "New Tool",
"description": "new",
"timeoutSeconds": 20,
"body": {},
"headers": {},
"messages": [],
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1,
"excludedStatusCodes": [
400,
401,
403,
404
]
},
"variableExtractionPlan": null,
"rejectionPlan": null
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Tools
Get tool
Fetches one tool by ID.
POST
/
tool
/
{tool_id}
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
tool_id = "0a425650-60ac-4fd4-9554-5579844ce3e5"
response = client.tools.get(tool_id)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/tool/0a425650-60ac-4fd4-9554-5579844ce3e5 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY'{
"_id": "69f98c2185578cdac8d33014",
"tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e7",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"type": "apiRequest",
"createdAt": "2026-05-05T06:20:17.548000",
"updatedAt": "2026-05-05T06:20:17.548000",
"method": "GET",
"url": "https://www.google.com",
"name": "New Tool",
"description": "new",
"timeoutSeconds": 20,
"body": {},
"headers": {},
"messages": [],
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1,
"excludedStatusCodes": [
400,
401,
403,
404
]
},
"variableExtractionPlan": null,
"rejectionPlan": null
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Path Parameters
Tool ID
Example:
"0a425650-60ac-4fd4-9554-5579844ce3e5"

